.et_defualt_width{	/* ######### global settings panel width ######### */
	width:90%;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 13px;
	margin: 5px;
	background-color: #e3eaf3;
}
div, span {
	font-size:13px;	
}
input, textarea, select, button, a, checkbox, radio{ font-size:13px; cursor:pointer; }

.my_button, button{
	background-image: linear-gradient(#ffffff, #b0b0b0);
	border-radius: 5px 5px 5px 5px;
/*	box-shadow: 0 1px #b0b0b0; */
	border-top: 1px solid #c0c0c0;
	border-left: 1px solid #c0c0c0;
	border-right: 2px solid #b0b0b0;
	border-bottom: 2px solid #b0b0b0;
	margin: 2px;
	padding: 2px;
	padding-left:5px;
	padding-right:5px;
	cursor: pointer; 
	color: black;
}
.my_button:hover, button:hover {color: red; background-image: linear-gradient(#ffffff, #90f0f0);}
.my_button:active, button:active {
	background-image: linear-gradient(#ffffff, #f0a0a0);
/*	box-shadow: 0 0 white;*/
	border-top: 1px solid #f0f0f0;
	border-left: 1px solid #f0f0f0;
	border-right: 2px solid #e0e0e0;
	border-bottom: 2px solid #e0e0e0;
	transform: translateY(1px);
}

table {
	border-collapse: collapse;
    border: 1px solid #c0c0c0;
	border-spacing: 0;
	border-width: thin;
}
table th {
	text-align: center;
    background-color: #e0e0e0;
    color: #000000;
    padding: 4px;
    border: 1px solid #c0c0c0;
}
table td{
    border: 1px solid #c0c0c0;
	padding: 2px;
}

.small{ font-size:12px; }
.smaller{ font-size:11px; }
.tiny{ font-size:10px; }
.italic         { font-style:italic; }
.hidden         { display:none; }
.nowrap { white-space:nowrap; }
.underline      { text-decoration:underline; }
.my_link {text-decoration: underline; cursor:pointer; color:#0000c0; }
.my_link:hover {color:red; }
.clickable { cursor:pointer; }
.clickable:hover {color:red; text-decoration:underline;}

.section_panel { background-color: #f0f0f0; border-radius: 5px 5px 5px 5px; margin: 5px; }
.section_panel_2 { background-color: transparent; border-radius: 5px 5px 5px 5px; margin: 5px; }
.main_head_bar{ color:white; background-color:#202020; padding:5px; }
.app_name{ font-size:28px; text-shadow: 1px 1px #b0ffff; }
.oth_head_text{ font-size:16px; float:right; padding-top:5px; margin-right:5px; }

.section_title{ background-image: linear-gradient(#c0c0c0, #f0f0f0); }
.section_title_r{ background-image: linear-gradient(#f0c0c0, #f0f0f0); }
.section_title_g{ background-image: linear-gradient(#c0f0c0, #f0f0f0); }
.section_title_b{ background-image: linear-gradient(#c0c0f0, #f0f0f0); }
.section_title_rg{ background-image: linear-gradient(#f0f0c0, #f0f0f0); }
.section_title_rb{ background-image: linear-gradient(#f0c0f0, #f0f0f0); }
.section_title_gb{ background-image: linear-gradient(#c0f0f0, #f0f0f0); }
.section_title, .section_title_r, .section_title_g, .section_title_b, .section_title_rg, .section_title_rb, .section_title_gb{
	border-radius: 5px 5px 0 0;
	background-color: #f0f0cf;
	
	font-size: 15px;
	font-weight: bold;
	padding: 5px;
	text-align: center;
}

.edit_border { border:1px solid #f0d080;}
.text_box { display: inline-block; background-color: white; border:1px solid #d0d0d0; padding:2px; width:90%; }
.edit_box { display: inline-block; background-color: white; border:1px solid #f0d080; padding:2px; width:90%; cursor: pointer; }

table.back2back_columns{
	width: 100%;
	border-collapse: collapse;
    border: 0;
	border-spacing: 0;
}
table.back2back_columns th{
    border: 0;
	background-color: transparent;
    padding: 5px;
	font-size: 13px;
	text-align: right;
}
table.back2back_columns td{
    border: 0;
	background-color: transparent;
    padding: 5px;
	font-size: 13px;
	text-align: left;
}

/* pre-defined popup */
/* for dynamic Popups */
.popup-dyn{
  /*Hides pop-up when there is no "active" class*/
  display: none;
  position: fixed;
  background-color: rgba(0, 0, 0, 0.20);
  z-index: 1000;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
}
.popup-div {
  position: fixed;
  margin: auto;
  background-color: #ffffff;
  border-radius: 5px 5px 5px 5px;
  border: 1px solid black;
  box-shadow: 5px 5px 5px #a0a0a0;
}
.popup-content {	/* for in-place editor */
  display: none;
  position: fixed;
  background-color: #ffffff;
  border-radius: 5px 5px 5px 5px;
  border: 1px solid black;
  box-shadow: 5px 5px 5px #a0a0a0;
}
.popup-header{
	border-radius: 5px 5px 0 0;
	background-color: #f0f0cf;
	background-image: linear-gradient(#f0e0c0, #f0f0f0);
	font-size: 15px;
	font-weight: bold;
	padding: 5px;
	text-align: center;
}
.draggable{ cursor: move; }
.popup-text{
	padding: 5px;
}
.popup-close {
    float: right; color: red;
}
.popup-close:hover {
    cursor: pointer;
}

/* tab */
.tab_diabled{
	color:#c0c0c0;
}
.tab_unselected{
	position:relative;
	top:-1px;
	cursor:pointer;
	border-radius: 5px 5px 0 0;
	border: 1px solid #c0c0c0;
	border-right: 2px solid #c0c0c0;
	border-bottom: 1px solid #c0c0c0;
	padding: 5px;
	padding-left:10px;
	padding-right:10px;
	background-color:#e0e0e0;
	z-index:10;
}
.tab_selected{
	position:relative;
	top:-1px;
	color:#00a000;
	cursor:pointer;
	border-radius: 5px 5px 0 0;
	border: 1px solid #c0c0c0;
	border-right: 2px solid #c0c0c0;
	border-bottom: 0;
	padding: 7px;
	padding-left:10px;
	padding-right:10px;
	background-color:#ffffff;
	z-index:10;
}
.tab_selected:hover, .tab_unselected:hover{ color: red; }
.tab_header{
	text-align:left;
	font-size:14px;
	padding-left: 20px;
	padding-right: 20px;
}
.tab_content{
	font-size:13px;
	border-radius: 5px;
	border: 1px solid #c0c0c0;
	margin: 4px;
	background-color:#ffffff;
	z-index:1;
	text-align:left;
	padding:10px;
}


/* Tables and DataTables */
.report-table{
	width: 100%; 
	border-collapse: collapse;
    border: 1px solid #c0c0c0;
	border-spacing: 0;
	border-width: thin;
}

table.dataTable.compact > tbody > tr > td.child-row-content {
    padding: 12px;
    box-shadow: inset 0 0 8px #c0c0c0;
    background-color: white;
}

table.dataTable tbody tr.section-header-row td {
    background-color: #e0e0e0;
    border-color: #c0c0c0;
    color: black;
    font-weight: bold;
}

table tr.selected-row td {
    background-color: #e9e9ff;
}

table.dataTable th input {
    cursor: default;
}

.dataTables_filter {
    margin-bottom: 7px;
}

.dt-buttons {
    margin-top: 7px;
}

.show-hide-columns-button-container {
    display: inline-block;
    padding-left: 0.6em;
    border-left: 1px solid #bbbbbb;
}

table.dataTable.compact thead th.sorting_disabled {
    padding: 4px; /* Don't leave space for the sorting arrows when the column can't be sorted */
}


@keyframes blink_1 {
  from {background-color: transparent; color:red; }
  to {background-color: blue; color:white; }
}

.blinkClass_1{
	font-weight:bold;
	animation: blink_1;
	animation-duration:1.5s;
	animation-iteration-count: infinite;
}

@keyframes blink_2 {
  from {background-color: transparent; color:red; }
  to {background-color: red; color:white; }
}

.blinkClass_2{
	font-weight:bold;
	animation: blink_2;
	animation-duration:1.9s;
	animation-iteration-count: infinite;
}
